# mac 24:6f:28:af:b3:34

esphome:
  name: "cam-en-py"
  platform: esp32
  board: esp32cam

logger:
  level: INFO

wifi:
  networks:
    - ssid: !secret wifi_ssid
      password: !secret wifi_password

ota:
  platform: esphome

mqtt:
  id: mqtt_client
  broker: "mqtt2.bigasterisk.com"















sensor:
  - platform: wifi_signal
    name: "wifi_signal"
    update_interval: 60s

light:
  - platform: monochromatic
    name: "flash"
    output: flash_out
    default_transition_length: 0s

output:
  - platform: ledc
    id: flash_out
    pin: GPIO4
    frequency: 19531Hz
    channel: 4

esp32_camera:
  external_clock:
    pin: GPIO0
    frequency: 20MHz
  i2c_pins:
    sda: GPIO26
    scl: GPIO27
  data_pins: [GPIO5, GPIO18, GPIO19, GPIO21, GPIO36, GPIO39, GPIO34, GPIO35]
  vsync_pin: GPIO25
  href_pin: GPIO23
  pixel_clock_pin: GPIO22
  power_down_pin: GPIO32
  name: "cam-en-py"
  jpeg_quality: 10
  vertical_flip: true
  horizontal_mirror: true
  # 320x240 640x480 800x600 1024x768 1280x1024 1600x1200
  resolution: "800x600"

esp32_camera_web_server:
  - port: 8080
    mode: stream
  - port: 8081
    mode: snapshot
